<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Show book</title>
</head>
<body>
<p th:text="${book.getTitle() + ' , ' + book.getAuthor() + ', ' + book.getYear()}">VALUE</p>

<div th:if="${owner}">
   <span>Книга сейчас у :</span> <span th:text="${owner.getFullName()}">Person Name</span>
    <form th:method="PATCH" th:action="@{/books/{id}/release(id=${book.getId()})}">
        <input type="submit" value="Освободить книгу"/>
    </form>
</div>

<div th:if="${people}">
    <span>Эта книга свободна. Кому ее назначить?</span>
    <form th:method="PATCH" th:action="@{/books/{id}/assign(id=${book.getId()})}">
        <label for="person">Выберите человека</label>
        <select th:object="${person}" th:field="*{id}" id="person">
            <option th:each="person:${people}" th:value="${person.getId()}"th:text="${person.getFullName()}"></option>
        </select>
        <input type="submit" value="Назначить книгу"/>
    </form>
</div>

<form th:method="GET" th:action="@{/books/{id}/edit(id=${book.getId()})}">
    <input type="submit" value="Редактировать"/>
</form>

<form th:method="DELETE" th:action="@{/books/{id}(id=${book.getId()})}">
    <input type="submit" value="Удалить"/>
</form>
</body>
</html>